AggregateRuntimeException (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.util

## Class AggregateRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.bouncycastle.util.AggregateRuntimeException

- All Implemented Interfaces:
    java.io.Serializable

      public class AggregateRuntimeException
      extends java.lang.RuntimeException

  A `RuntimeException` that carries several underlying exceptions rather than a single cause - for example the complete set of problems found when reviewing a malformed structure, where surfacing only the first would lose information.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateRuntimeException(java.lang.String message, java.util.List exceptions)` Base constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getExceptions()` Return the exceptions that make up this aggregate.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateRuntimeException

          public AggregateRuntimeException(java.lang.String message,
                                           java.util.List exceptions)

      Base constructor.
      Parameters:
        `message` - a message concerning the exception.
        `exceptions` - the underlying exceptions making up this aggregate (may be null or empty).

  - ### Method Detail

    - #### getExceptions

          public java.util.List getExceptions()

      Return the exceptions that make up this aggregate.
      Returns:
        an unmodifiable list of the aggregated exceptions, in the order supplied.